Bug 602746 - anaconda kickstart install does not properly inhibit firstboot from running
anaconda kickstart install does not properly inhibit firstboot from running
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 12:03 EDT by Douglas Needham
Modified: 2013-07-04 08:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 06:05:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Needham 2010-06-10 12:03:17 EDT
Description of problem:
When doing a kickstart install on FC13, upon rebooting the firstboot utility is run.  The identical config bypasses firstboot when used on FC12 and earlier.  (NOTE: These installs are being done using cobbler.)

Version-Release number of selected component (if applicable):
Anaconda 13.42

How reproducible:
Always

Steps to Reproduce:
1. Reboot machine via the network for install.
2. Install machine using kickstart file
3. When machine is rebooted after install, machine runs firstboot
  
Actual results:
The firstboot utility is run.

Expected results:
firstboot should not be run, as all information was provided by kickstart config file.

Additional info:
Config file does not contain any firstboot statement.
Comment 1 Bug Zapper 2011-06-02 07:19:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Edgar Hoch 2011-06-07 16:18:00 EDT
The bug still exists in Fedora 15.

I tried to install Fedora 15 with a kickstart file without any firstboot option. Then after the reboot the firstboot screen appears.

When I put the following option in the kickstart file, then no firstboot screen appears after the installation.
firstboot --disable

I have not testet Fedora 14 because I always have used the firstboot --disable option with Fedora 14. But the error exists in Fedora 13 and 15, so it may also exist in Fedora 14.

This bug is not fixed and should be changed to Fedora 15 (and 14?).
Comment 3 Bug Zapper 2011-06-27 13:57:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Edgar Hoch 2011-06-27 18:14:08 EDT
This bug should not be closed as wontfix - see my comment #2. But I have no right to assign a newer Fedora version. Please could someone do it who as the apropriate right? Thanks!
Comment 5 Martin Gracik 2011-09-12 06:44:40 EDT
If you don't want to run firstboot after a kickstart installation, you need to provide the "firstboot --disabled" line in the kickstart, otherwise firstboot will run.
Comment 6 Edgar Hoch 2011-09-12 07:41:51 EDT
(In reply to comment #5)
> If you don't want to run firstboot after a kickstart installation, you need to
> provide the "firstboot --disabled" line in the kickstart, otherwise firstboot
> will run.

I know that it currently works as you described. But the documentation says the opposite: See http://fedoraproject.org/wiki/Anaconda/Kickstart#firstboot:
  "If not specified, firstboot is disabled by default."

I think that the default should be as described in the above documentation, because when someone uses a kickstart file then
- all information normally requested by firstboot is (normally) provided by the kickstart file
- the user wants to automate the installation and to avoid manual interaction

So I think the behavior of kickstart / anaconda in previous versions (I think the change was from fedora 12 to 13?) was the better one - and the description in the documentation is the one which the users / admins expect.

Could you please think about this?

The behavior of the software and the documentation should match, so one should be adapted. I suggest to change the software so that the default of firstboot is disabled when a kickstart file is used and enabled otherwise.
Comment 7 Martin Gracik 2011-09-12 09:05:06 EDT
Yes, you're right, I didn't check the documentation.
Comment 8 Martin Gracik 2011-09-12 09:06:34 EDT
Can you please check, if there's a file /etc/sysconfig/firstboot present and if yes, what is the content if the file?
Comment 9 Edgar Hoch 2011-09-12 09:17:28 EDT
Yes, /etc/sysconfig/firstboot exists on my system with fedora 15, and it contains
RUN_FIRSTBOOT=NO
(without newline).

But I have installed my system with kickstart using a kickstart file with
firstboot --disable

If you need the state when using kickstart without the firstboot option then I need to make a new installation on a test system. This will last some time, but would be possible.

If I remember right the file /etc/sysconfig/firstboot was missing when I had done a kickstart without the firstboot option.
Comment 10 Martin Gracik 2011-09-12 10:03:27 EDT
If you could do that, it would be great.

Note You need to log in before you can comment on or make changes to this bug.